/**********************************************************************/
/**                       Microsoft Windows NT                       **/
/**                Copyright(c) Microsoft Corp., 1995                **/
/**********************************************************************/

/*
    Module Name:
        proxctrs.h

    Abstract:
        Offset definitions for the Proxy Server's counter objects & 
        counters.

        These offsets *must* start at 0 and be multiples of 2.  In the
        ProxyOpenPerformanceData procecedure, they will be added to the
        Proxy Server's "First Counter" and "First Help" values in order 
        to determine the absolute location of the counter & object names
        and corresponding help text in the registry.

        This file is used by the iasmon.dll code as well as the
        ias.ini definition file.  iasmon.INI is parsed by the
        LODCTR utility to load the object & counter names into the
        registry.


    FILE HISTORY:
        SophiaC     10-Apr-1996

*/


#ifndef _PROXCTRS_H_
#define _PROXCTRS_H_


//
//  The Proxy Server counter object.
//

#define PROXY_COUNTER_OBJECT                          0


//
//  The individual counters.
//

#define PROXY_INET_BYTES_SENT_COUNTER                 2
#define PROXY_INET_BYTES_RECEIVED_COUNTER             4
#define PROXY_INET_BYTES_TOTAL_COUNTER                6

#define PROXY_CLNT_BYTES_SENT_COUNTER                 8
#define PROXY_CLNT_BYTES_RECEIVED_COUNTER             10
#define PROXY_CLNT_BYTES_TOTAL_COUNTER                12

#define PROXY_CURRENT_USERS_COUNTER                   14
#define PROXY_TOTAL_USERS_COUNTER                     16
#define PROXY_MAX_USERS_COUNTER                       18

#define PROXY_FTP_REQUESTS_COUNTER                    20
#define PROXY_GOPHER_REQUESTS_COUNTER                 22
#define PROXY_HTTP_REQUESTS_COUNTER                   24
#define PROXY_REQUESTS_TOTAL_COUNTER                  26

#define PROXY_SUCC_REQUESTS_TOTAL_COUNTER             28
#define PROXY_FAIL_REQUESTS_TOTAL_COUNTER             30

#define PROXY_CACHE_FETCHES_TOTAL_COUNTER             32
#define PROXY_INET_FETCHES_TOTAL_COUNTER              34    

#define PROXY_SITES_DENIED_TOTAL_COUNTER              36
#define PROXY_SITES_GRANTED_TOTAL_COUNTER             38

#define PROXY_DNSCACHE_ENTRIES_COUNTER                40
#define PROXY_DNSCACHE_RETRIEVALS_COUNTER             42
#define PROXY_DNSCACHE_FLUSHES_COUNTER                44
#define PROXY_DNSCACHE_HITS_COUNTER                   46
#define PROXY_DNSCACHE_RATIO_COUNTER                  48
#define PROXY_DNSCACHE_RATIO_DENOM_COUNTER            50

#endif  // _PROXYCTRS_H_

